Package kiyut.sketsa.windows.defs.gradient

## Class GradientStopTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - kiyut.sketsa.windows.defs.gradient.GradientStopTableModel

- All Implemented Interfaces:
    `Serializable`, `TableModel`

      public class GradientStopTableModel
      extends AbstractTableModel

  GradienStop table model
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GradientStopTableModel()` | Creates a new instance of GradientStopTableModel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<?>` | `getColumnClass​(int c)` |
    `int` | `getColumnCount()` |
    `String` | `getColumnName​(int col)` |
    `org.w3c.dom.svg.SVGGradientElement` | `getGradientElement()` | Return SVGGRadientElement
    `int` | `getRowCount()` |
    `Object` | `getValueAt​(int rowIndex, int columnIndex)` |
    `boolean` | `isCellEditable​(int row, int col)` |
    `void` | `newRow()` | add new row
    `void` | `refresh()` | Refresh this model
    `void` | `removeRow​(int index)` | removeRow at specified index
    `void` | `setGradientElement​(org.w3c.dom.svg.SVGGradientElement element)` | set Gradient Element
    `void` | `setValueAt​(Object value, int row, int col)` |
    `protected void` | `validateOffset​(String text)` | Validate Gradient Stop Offset
    `protected void` | `validateOpacity​(String text)` | validate Gradient Stop Opacity

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GradientStopTableModel

          public GradientStopTableModel()

      Creates a new instance of GradientStopTableModel

  - ### Method Detail

    - #### getColumnName

          public String getColumnName​(int col)

      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`

    - #### getColumnCount

          public int getColumnCount()

    - #### getColumnClass

          public Class<?> getColumnClass​(int c)

      Specified by:
        `getColumnClass` in interface `TableModel`
      Overrides:
        `getColumnClass` in class `AbstractTableModel`

    - #### getRowCount

          public int getRowCount()

    - #### getValueAt

          public Object getValueAt​(int rowIndex,
                                   int columnIndex)

    - #### setValueAt

          public void setValueAt​(Object value,
                                 int row,
                                 int col)

      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`

    - #### newRow

          public void newRow()

      add new row
      See Also:
        `removeRow(int)`

    - #### removeRow

          public void removeRow​(int index)

      removeRow at specified index
      Parameters:
        `index` - the index
      See Also:
        `newRow()`

    - #### validateOffset

          protected void validateOffset​(String text)

      Validate Gradient Stop Offset
      Parameters:
        `text` - the Gradient Stop Offset

    - #### validateOpacity

          protected void validateOpacity​(String text)

      validate Gradient Stop Opacity
      Parameters:
        `text` - the Gradient Stop Opacity

    - #### isCellEditable

          public boolean isCellEditable​(int row,
                                        int col)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

    - #### setGradientElement

          public void setGradientElement​(org.w3c.dom.svg.SVGGradientElement element)

      set Gradient Element
      Parameters:
        `element` - SVGGradientElement
      See Also:
        `getGradientElement()`

    - #### getGradientElement

          public org.w3c.dom.svg.SVGGradientElement getGradientElement()

      Return SVGGRadientElement
      Returns:
        SVGGradientElement
      See Also:
        `setGradientElement(SVGGradientElement)`

    - #### refresh

          public void refresh()

      Refresh this model